Skip to content
This repository
Browse code

Make sure that `aws-sdk` is installed by checking for AWS::Core instead

  • Loading branch information...
commit 1df1b030c93ae6b452b0eec51781b8a29a7867e8 1 parent ac82244
Prem Sichanugrist authored December 14, 2011

Showing 1 changed file with 2 additions and 2 deletions. Show diff stats Hide diff stats

  1. 4  lib/paperclip/storage/s3.rb
4  lib/paperclip/storage/s3.rb
@@ -79,11 +79,11 @@ module Storage
79 79
     module S3
80 80
       def self.extended base
81 81
         begin
82  
-          require 'aws/s3'
  82
+          require 'aws-sdk'
83 83
         rescue LoadError => e
84 84
           e.message << " (You may need to install the aws-sdk gem)"
85 85
           raise e
86  
-        end unless defined?(AWS::S3)
  86
+        end unless defined?(AWS::Core)
87 87
 
88 88
         base.instance_eval do
89 89
           @s3_options     = @options[:s3_options]     || {}

0 notes on commit 1df1b03

Please sign in to comment.
Something went wrong with that request. Please try again.